
Redmine - Patch #757

Support database schema for Trac migration

2008-03-01 05:29 - John Goerzen

Status: Closed Start date: 2008-03-01

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Importers Estimated time: 0.00 hour

Target version:    

Description

Support database schema for trac migration

PostgreSQL trac databases can have a schema setting in the trac config like

this:

database = postgres://trac:password@127.0.0.1/trac?schema=site

The schema restricts the PostgreSQL table views.  This permits many Trac

instances to live within a single database.

This patch adds a prompt for the schema.

Associated revisions

Revision 1195 - 2008-03-05 13:54 - Jean-Philippe Lang

Trac importer: support database schema for Trac migration (#757 by John Goerzen).

History

#1 - 2008-03-05 13:54 - Jean-Philippe Lang

- Category set to Importers

- Status changed from New to Closed

- % Done changed from 0 to 100

Committed in r1195. Thanks for this enhancement.

Files

patch1 2.23 KB 2008-03-01 John Goerzen
